Path: news.cambrium.nl!textnews.cambrium.nl!feeder3.cambriumusenet.nl!feed.tweaknews.nl!193.201.147.78.MISMATCH!feeder.news-service.com!postnews.google.com!c10g2000yqi.googlegroups.com!not-for-mail
From: "Vladimir M. Zakharychev" <vladimir.zakharychev@gmail.com>
Newsgroups: comp.databases.oracle.server
Subject: Re: Internal imp errors importing 8.1.7 dump file on 10.2
Date: Mon, 5 Jul 2010 11:44:48 -0700 (PDT)
Organization: http://groups.google.com
Lines: 53
Message-ID: <577d547e-751b-4acb-b7b3-f71ecc747c99@c10g2000yqi.googlegroups.com>
References: <e08ad3b5-6bc8-4eb4-8103-e216a0b4fc14@d8g2000yqf.googlegroups.com>
NNTP-Posting-Host: 217.15.147.190
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Trace: posting.google.com 1278355488 8318 127.0.0.1 (5 Jul 2010 18:44:48 GMT)
X-Complaints-To: groups-abuse@google.com
NNTP-Posting-Date: Mon, 5 Jul 2010 18:44:48 +0000 (UTC)
Complaints-To: groups-abuse@google.com
Injection-Info: c10g2000yqi.googlegroups.com; posting-host=217.15.147.190; 
 posting-account=PAnILQoAAAD84SMI2vqfU32t6U_KSuGX
User-Agent: G2/1.0
X-HTTP-UserAgent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.6) 
 Gecko/20100625 Firefox/3.6.6 ( .NET CLR 3.5.30729; .NET4.0C),gzip(gfe)
Xref:  news.cambrium.nl

On Jul 5, 5:31=A0pm, Wolfram R=F6sler <wolfram.roes...@gmail.com> wrote:
> Hello,
>
> I have a 24 GB dump file that was created with Oracle 8.1.7 on AIX,
> which I want to proof-read with 10.2 on Windows, so I did:
>
> imp system/xxx file=3Dexport.dmp fromuser=3Dname touser=3Dname show=3Dy
>
> It runs fine for a while but then prints the following errors:
>
> =A0illegal lob length marker 49408
> =A0bytesread =3D 00000000000
> =A0TABLE =3D MYTABLENAME
> IMP-00098: INTERNAL ERROR: impgst2
> IMP-00008: unrecognized statement in the export file:
> <07><1e>
> ...
> IMP-00032: SQL statement exceeded buffer length
>
> These occur several times until IMP-00008 repeats forever (until I
> aborted the import 16 hours later). Importing with a larger buffer
> ("buffer=3D2000000") made no difference.
>
> The dump file can be imported without errors and warnings on the
> source machine (8.1.7 on AIX). The original dump file and my copy of
> it have identical CRCs so it's not a corruption issue. I'm running imp
> directly on the DB server so it's not a client/server compatibility
> issue either.
>
> The export parameters are nothing special:
>
> exp system/xxx file=3Dexport.dmp owner=3Dname consistent=3Dy
>
> Any idea what's going wrong? Is the dump file ok, and if so, how can I
> import it?
>
> Thanks for any help
> W. R=F6sler

Most probably 10.2 is not fully backwards-compatible with 8.1.7
(clients surely aren't.) Metalink note #132904.1 says that direct
export from 8.1.7 and import into 10.2 is not supported. One way to
import I can think of is to import the dump into an intermediate
9.2.0.8 database, export from there with 9.2 exp utility and then
import this new dump into 10.2. 9.2 is compatible with 8.1.7 and 10.2
is compatible with 9.2 as far as imp/exp are concerned.

Also, make sure both source and target databases (and tools) are at
the latest respective patchset levels (8.1.7.4 and 10.2.0.5 or
10.2.0.4, whichever is available for your platform.)

Hth,
   Vladimir M. Zakharychev
